
QGIS Application - Bug report #15103

Identify features: forms should stay in foreground

2016-06-22 12:07 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23045

Description

When opening feature forms with the "Identify features" tool, there often multiple open forms that stay in the background of the main QGIS

windows and can remain there unnoticed.

It is suggested to research if a window mode exists that forces these form windows to stay infront of the main QGIS application window -

so they don't go unnoticed by the user.

Associated revisions

Revision 0783e8fc - 2016-06-23 10:47 AM - Matthias Kuhn 

Keep attribute dialog in front

Fix #15103

Revision 66c47d7a - 2016-06-24 09:11 AM - Matthias Kuhn 

Keep feature form only on top of application and not system

Better fix #15103

History

#1 - 2016-06-22 01:14 AM - Harrissou Santanna

I'd not be in favor of keeping them foreground. Could be noisy.

A first step can be to have only one form per feature (see #13520)

#2 - 2016-06-22 01:34 AM - Andreas Neumann

hm - what exactly do you mean by "noisy"? Isn't it up to the user to close the window he doesn't need anymore? It's as easy as pressing the "x" button.

BTW: foreground doesn't mean modal. It would still be possible to interact with the main window.

I agree though, that multiple forms for the same feature is bad. But multiple forms from different features is important for comparison reasons.

If we want to please all users - we could have an option on the application level to enable/disable this behavior ;-)
An additional idea would be to enable/disable the form "in front" behavior per feature form. KDE has such a "per Window" setting which forces the Window

to stay on top of all the other Windows. In older versions KDE also had a button in the Window title bar for this to quickly enable/disable this behavior.

#3 - 2016-06-22 10:45 AM - Harrissou Santanna

hm - what exactly do you mean by "noisy"? Isn't it up to the user to close the window he doesn't need anymore? It's as easy as pressing the "x"

button.

It's one-click more! :)

No problem with having it optional though

#4 - 2016-06-23 01:48 AM - Matthias Kuhn

Please try the current behavior.

On Linux it has been like that for years and I found it always confusing on the two other operating systems.

#5 - 2016-06-23 01:51 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"0783e8fc1ddb7dbf4f2bb4804c07c28e2e14568c".

#6 - 2016-06-23 02:05 AM - Matthias Kuhn

Actually not exactly, it is now also on top of other applications which is not really what I wanted... I'll check again.

#7 - 2016-06-23 04:16 AM - Andreas Neumann

@Harrissou: why one-click more? It is exactly the same nr of clicks as before - it just would be on top of the main window. Or did you never close any of the

background "Identify Results Windows" and let them accummulate somewhere unnoticed?

#8 - 2016-06-25 04:51 AM - Harrissou Santanna

@Andreas, sorry for the delay.

I don't really care about these forms. I can close them as I can not. It doesn't matter they're open (and hidden) given that I do not compare features through

this way and if I need to see again values of a feature, I just need to click on it and open a new form.

This is theoretical because actually, I work with Mac and Windows and:

    -  on Mac, I have my mouse configured to see in one-click all the dialogs related to the current application, so I can easily switch and close unneeded

dialogs

    -  and same thing, on Windows, hovering over QGIS icon in launch (?) bar shows all dialogs opened, so just switch

What sounds embarrassing with having the form stay foreground is that you are obliged to close it in order to see all the map canvas while before you just

needed to click the main interface.

Note that i'haven't tested Mathias fix yet.
